# pn_vflow_table_profile – CLI command to modify vflow-table-profile

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to modify a vFlow table profile.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.

pn_enable
boolean

Choices:
- no
- yes

enable or disable vflow profile table.

pn_hw_tbl
string

Choices:
- switch-main
- switch-hash
- npu-main
- npu-hash

hardware table used by vFlow.

pn_profile
string

Choices:
- application
- ipv6
- qos

type of vFlow profile.

state
string / required

Choices:
- update

State the action to perform. Use `update` to modify the vflow-table-profile.

## Examples

    - name: Modify vflow table profile
      pn_vflow_table_profile:
        pn_cliswitch: 'sw01'
        state: 'update'
        pn_profile: 'ipv6'
        pn_hw_tbl: 'switch-main'
        pn_enable: true

    - name: Modify vflow table profile
      pn_vflow_table_profile:
        state: 'update'
        pn_profile: 'qos'
        pn_hw_tbl: 'switch-main'
        pn_enable: false

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the vflow-table-profile command.
stdout list | always | set of responses from the vflow-table-profile command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.